# Interface PopupExpressionInfoJson

Arcade expression added to the pop-up.

See https://developers.arcgis.com/web-map-specification/objects/popupExpressionInfo/.

interface PopupExpressionInfoJson {
expression?: string;
name?: string;
returnType?: "string" | "number";
title?: string;
}

#####
Index

### Properties

expression?
name?
returnType?
title?

##
Properties

### `Optional` expression

expression?: string

The Arcade expression.

### `Optional` name

name?: string

Unique identifier for the expression.

### `Optional` returnType

returnType?: "string" | "number"

Return type of the Arcade expression, can be number or string. Defaults to string value. Number values are assumed to be double. This can be determined by the authoring client by executing the expression using a sample feature(s), although it can be corrected by the user. Knowing the returnType allows the authoring client to present fields in relevant contexts. For example, numeric fields in numeric contexts such as charts.

### `Optional` title

title?: string

Title of the expression.